Bug 73967 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: pyOpenSSL (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
: 78913 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 11:44 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 16:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 11:44:56 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/lib/python2.2/site-packages/OpenSSL /usr/lib/python2.2/site-packages/OpenSSL/SSL.so
| file /usr/lib/python2.2/site-packages/OpenSSL is not owned by any package
| pyOpenSSL-0.5pre-1

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that pyOpenSSL is uninstalled completely
   (rm -rf /usr/lib/python2.2/site-packages/OpenSSL)
3. rpm -U pyOpenSSL-0.5pre-1.i386.rpm
4. ls -l /usr/lib/python2.2/site-packages/OpenSSL
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e pyOpenSSL-0.5pre-1

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 17:17 /usr/lib/python2.2/site-packages/OpenSSL
* files can not be found/read at 5 and
* /usr/lib/python2.2/site-packages/OpenSSL still exists after 6.
Comment 1 Mihai Ibanescu 2002-12-03 09:02:15 EST
*** Bug 78913 has been marked as a duplicate of this bug. ***
Comment 2 Mihai Ibanescu 2002-12-03 12:03:36 EST
Added the directory. Not really nice, oh well. Should be in Rawhide.
Comment 3 Enrico Scholz 2003-02-25 08:39:13 EST
The following problematic directories are still alive:

  * pyOpenSSL-0.5.1-5

      + /usr/lib/python2.2/site-packages
        [owned by ethereal-0.9.8-5, parted-1.6.3-11, python-2.2.2-22]
      + /usr/lib/python2.2
        [owned by python-2.2.2-22]

Perhaps an explicit 'Requires: python' should be added.
Comment 4 Mihai Ibanescu 2003-03-03 12:29:22 EST
Requires: python would be good indeed.
Comment 5 Mihai Ibanescu 2003-09-16 15:48:46 EDT
Fixed in CVS, and versions 0.5.1-9 and later.
Comment 6 Bill Nottingham 2006-08-04 16:37:27 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.